package cn.yw.xhd.dao;

import java.sql.SQLException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Repository;

import cn.base.dao.BaseSqlMapDAO;

@Repository("nhywledydpCurrentStateDao")
public class NhywledydpCurrentStateDao  extends BaseSqlMapDAO{
	
	/**
	 * 增加记录
	 */
	/*
	public void insert_NhywledydpCurrentState(Map map) throws SQLException{
		this.insert("insert_NhywledydpCurrentState",map);
	}
	*/
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_NhywledydpCurrentState(List batch) throws SQLException{
		this.insert("batch_insert_NhywledydpCurrentState",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_NhywledydpCurrentState(Map map) throws SQLException{
		return this.update("update_NhywledydpCurrentState",map);
	}

	
	/**
	 * 删除记录
	 */
	/*
	public Integer delete_NhywledydpCurrentState(Map map) throws SQLException{
		return this.delete("delete_NhywledydpCurrentState",map);
	}
	*/
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_NhywledydpCurrentState(Map map) throws SQLException{
		return this.delete("batch_delete_NhywledydpCurrentState",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_NhywledydpCurrentState(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_NhywledydpCurrentState",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_NhywledydpCurrentState(Map map) throws SQLException{
		return this.queryForPage("query_NhywledydpCurrentState",map);
	}
	public List<Map> listMachineInfo(Map map) throws SQLException{
		return this.queryForList("listMachineInfo",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_NhywledydpCurrentState(Map map) throws SQLException{
		return (Map) this.queryForObject("get_NhywledydpCurrentState",map);
	}
	
	public List<Map> statisticsMachineOnlineRate() throws SQLException{
		return (List<Map>) this.queryForList("statisticsMachineOnlineRate",new HashMap());
	}
	public List<Map> listStatisticsMachineIntactRate() throws SQLException{
		return (List<Map>) this.queryForList("listStatisticsMachineIntactRate",new HashMap());
	}
	public List<Map> query_NhywledydpUnonline(Map map) throws SQLException{
		return (List<Map>) this.queryForPage("query_NhywledydpUnonline",map);
	}

	public Integer count_NhywledydpUnonline(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_NhywledydpUnonline",map);
	}

	//查询在线
	public List<Map> query_Nhywledydponline(Map map) throws SQLException{
		return (List<Map>) this.queryForPage("query_Nhywledydponline",map);
	}

	public Integer count_Nhywledydponline(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywledydponline",map);
	}



}
